# Class User

java.lang.Object
com.ryanharter.auto.value.gson.example.User

public abstract class User extends Object

## Constructor Summary

Constructors
Constructor
Description
`User()`

## Method Summary

Modifier and Type
Method
Description
`static com.google.gson.TypeAdapter<User>`
`typeAdapter(com.google.gson.Gson gson)`
`static User`
`with(String firstname, String lastname)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### User

public User()

## Method Details

### typeAdapter

public static com.google.gson.TypeAdapter<User> typeAdapter(com.google.gson.Gson gson)

### with

public static User with(String firstname, String lastname)